#! /bin/sh -f
GM=$1
SIZE=$2
MESH=$3

TMP_ALL=___delaunay_mesh__all
TMP_EC=___delaunay_mesh__ec
TMP_BND=___delaunay_mesh__bnd
TMP_EXT=___delaunay_mesh__ext

advautomesh_h_tri2d_boundary_node \
    $GM.gm_point  $GM.gm_seg  $SIZE \
    $TMP_BND.node
advautomesh_h_tri2d_domain_node2 \
    $TMP_BND.node  $SIZE \
    $TMP_ALL.node
advautomesh_h_tri2d_delaunay3 \
    $TMP_ALL.node \
    $TMP_ALL.element

advautomesh_h_tri2d_element_center \
    $TMP_ALL.node  $TMP_ALL.element \
    $TMP_EC.gm_point
advautoage_h_gm2d_seg_inout \
    $GM.gm_seg  $TMP_EC.gm_point \
    $TMP_EC.gm_inout
advautomesh_h_tri2d_inout2list \
    $TMP_EC.gm_inout \
    $TMP_EC.el_list
advautomesh_h_tri2d_extract \
    $TMP_ALL.node  $TMP_ALL.element  $TMP_EC.el_list \
    $TMP_EXT.node  $TMP_EXT.element
advautomesh_h_tri2d_laplacian_domain \
    $TMP_EXT.node  $TMP_EXT.element \
    $TMP_BND.node  5 \
    $MESH.node  $MESH.element 

rm  $TMP_ALL.node  $TMP_ALL.element
rm  $TMP_EC.gm_point  $TMP_EC.gm_inout  $TMP_EC.el_list
rm  $TMP_BND.node
rm  $TMP_EXT.node  $TMP_EXT.element
