#!/bin/sh

# base

echo test_base
./test_base > out 2> err
mv out test_base.out
mv err test_base.err



# 2-D, entity

echo test_node2d
./test_node2d > out 2> err
mv out test_node2d.out
mv err test_node2d.err

echo test_node_scalar2d
./test_node_scalar2d > out 2> err
mv out test_node_scalar2d.out
mv err test_node_scalar2d.err

echo test_node_vector2d
./test_node_vector2d > out 2> err
mv out test_node_vector2d.out
mv err test_node_vector2d.err

echo test_frame2d
./test_frame2d > out 2> err
mv out test_frame2d.out
mv err test_frame2d.err



# volume 2-D, entity

echo test_volume_element2d
./test_volume_element2d > out 2> err
mv out test_volume_element2d.out
mv err test_volume_element2d.err

echo test_volume_edge2d
./test_volume_edge2d > out 2> err
mv out test_volume_edge2d.out
mv err test_volume_edge2d.err

echo test_volume_boundary_edge2d
./test_volume_boundary_edge2d > out 2> err
mv out test_volume_boundary_edge2d.out
mv err test_volume_boundary_edge2d.err



# volume 2-D, operation

echo test_volume_divider2d
./test_volume_divider2d > out 2> err
mv out test_volume_divider2d.out
mv err test_volume_divider2d.err

echo test_volume_mid_node_generator2d
./test_volume_mid_node_generator2d > out 2> err
mv out test_volume_mid_node_generator2d.out
mv err test_volume_mid_node_generator2d.err

echo test_volume_mid_node_remover2d
./test_volume_mid_node_remover2d > out 2> err
mv out test_volume_mid_node_remover2d.out
mv err test_volume_mid_node_remover2d.err

echo test_volume_extractor2d
./test_volume_extractor2d > out 2> err
mv out test_volume_extractor2d.out
mv err test_volume_extractor2d.err



# 3-D, entity

echo test_node3d
./test_node3d > out 2> err
mv out test_node3d.out
mv err test_node3d.err

echo test_node_scalar3d
./test_node_scalar3d > out 2> err
mv out test_node_scalar3d.out
mv err test_node_scalar3d.err

echo test_node_vector3d
./test_node_vector3d > out 2> err
mv out test_node_vector3d.out
mv err test_node_vector3d.err

echo test_frame3d
./test_frame3d > out 2> err
mv out test_frame3d.out
mv err test_frame3d.err


# surface 3-D, entity

echo test_surface_element3d
./test_surface_element3d > out 2> err
mv out test_surface_element3d.out
mv err test_surface_element3d.err

echo test_surface_edge3d
./test_surface_edge3d > out 2> err
mv out test_surface_edge3d.out
mv err test_surface_edge3d.err

echo test_surface_boundary_edge3d
./test_surface_boundary_edge3d > out 2> err
mv out test_surface_boundary_edge3d.out
mv err test_surface_boundary_edge3d.err



# surface 3-D, operation

echo test_surface_divider3d
./test_surface_divider3d > out 2> err
mv out test_surface_divider3d.out
mv err test_surface_divider3d.err

echo test_surface_mid_node_generator3d
./test_surface_mid_node_generator3d > out 2> err
mv out test_surface_mid_node_generator3d.out
mv err test_surface_mid_node_generator3d.err

echo test_surface_mid_node_remover3d
./test_surface_mid_node_remover3d > out 2> err
mv out test_surface_mid_node_remover3d.out
mv err test_surface_mid_node_remover3d.err

echo test_surface_extractor3d
./test_surface_extractor3d > out 2> err
mv out test_surface_extractor3d.out
mv err test_surface_extractor3d.err

echo test_surface_grouper3d
./test_surface_grouper3d > out 2> err
mv out test_surface_grouper3d.out
mv err test_surface_grouper3d.err



# volume 3-D, entity

echo test_volume_element3d
./test_volume_element3d > out 2> err
mv out test_volume_element3d.out
mv err test_volume_element3d.err

echo test_volume_edge3d
./test_volume_edge3d > out 2> err
mv out test_volume_edge3d.out
mv err test_volume_edge3d.err

echo test_volume_face3d
./test_volume_face3d > out 2> err
mv out test_volume_face3d.out
mv err test_volume_face3d.err

echo test_volume_boundary_face3d
./test_volume_boundary_face3d > out 2> err
mv out test_volume_boundary_face3d.out
mv err test_volume_boundary_face3d.err



# volume 3-D, visualization entity

echo test_volume_section3d
./test_volume_section3d > out 2> err
mv out test_volume_section3d.out
mv err test_volume_section3d.err

echo test_volume_section3d2
./test_volume_section3d2 > out 2> err
mv out test_volume_section3d2.out
mv err test_volume_section3d2.err

echo test_volume_isosurface3d
./test_volume_isosurface3d > out 2> err
mv out test_volume_isosurface3d.out
mv err test_volume_isosurface3d.err

echo test_volume_isosurface3d2
./test_volume_isosurface3d2 > out 2> err
mv out test_volume_isosurface3d2.out
mv err test_volume_isosurface3d2.err



# volume 3-D, operation

echo test_volume_boundary_maker3d
./test_volume_boundary_maker3d > out 2> err
mv out test_volume_boundary_maker3d.out
mv err test_volume_boundary_maker3d.err

echo test_volume_boundary_maker3d2
./test_volume_boundary_maker3d2 > out 2> err
mv out test_volume_boundary_maker3d2.out
mv err test_volume_boundary_maker3d2.err

echo test_volume_divider3d
./test_volume_divider3d > out 2> err
mv out test_volume_divider3d.out
mv err test_volume_divider3d.err

echo test_volume_mid_node_generator3d
./test_volume_mid_node_generator3d > out 2> err
mv out test_volume_mid_node_generator3d.out
mv err test_volume_mid_node_generator3d.err

echo test_volume_mid_node_remover3d
./test_volume_mid_node_remover3d > out 2> err
mv out test_volume_mid_node_remover3d.out
mv err test_volume_mid_node_remover3d.err

echo test_volume_extractor3d
./test_volume_extractor3d > out 2> err
mv out test_volume_extractor3d.out
mv err test_volume_extractor3d.err

