/* header file for automesh_node_scalar3d.c */

#ifndef __AUTOMESH_NODE_SCALAR3D__
#define __AUTOMESH_NODE_SCALAR3D__



/* NodeScalar3D */

/* $B@aE@%9%+%i!<%/%i%9(B */
typedef struct _AutoMesh_NodeScalar3D {
  AutoRes_Handle handle;

  AutoMesh_Node3D *node;
  /* $B@aE@%F!<%V%k%$%s%9%?%s%9$X$N;2>H(B */

  AutoRes_RealColumn *nodes_value;  
  /* $B%9%+%i!<CM%+%i%`(B */
} AutoMesh_NodeScalar3D;

AUTORES_DECLARE_HANDLE(AutoMesh_NodeScalar3D)

/* $B%/%i%9$N%$%s%9%?%s%9$r@8@.$9$k!#(B */
AutoMesh_NodeScalar3D *AutoMesh_NodeScalar3D_New 
(AutoMesh_Node3D *node);

/* $B%/%i%9$N%$%s%9%?%s%9$rGK4~$9$k!#(B */
void AutoMesh_NodeScalar3D_delete 
(AutoMesh_NodeScalar3D *self);

/* $BCM$N%+%i%`$r@8@.$9$k!#(B */
/* $B8=;~E@$G$N@aE@%l%3!<%I?t(B($B$"$k$$$OM=Ls?t(B)$BJ,$N%a%b%j$,3NJ]$5$l$k!#(B */
int /* boolean */
AutoMesh_NodeScalar3D_makeValueColumn 
(AutoMesh_NodeScalar3D *self);

/* $B;XDj@aE@%l%3!<%I$N%9%+%i!<CM$r@_Dj$9$k!#(B */
void AutoMesh_NodeScalar3D_setValueAt 
(AutoMesh_NodeScalar3D *self,
 int nodeId,
 double value);

/* $B;XDj@aE@%l%3!<%I$N%9%+%i!<CM$r5a$a$k!#(B */
double AutoMesh_NodeScalar3D_valueAt 
(AutoMesh_NodeScalar3D *self,
 int nodeId);

/* $B@aE@%F!<%V%kA4BN$G$N%9%+%i!<CM$NBg>.HO0O$r5a$a$k!#(B */
void AutoMesh_NodeScalar3D_getRange 
(AutoMesh_NodeScalar3D *self,
 double *min_OUT,
 double *max_OUT);



#endif  /* __AUTOMESH_NODE_SCALAR3D__ */
