#! /bin/sh -f
M=$1
ANGLE=$2

#
# extract all the edges of the 3-D surface mesh, 
#   also the element neighbor relationship
#
echo advautomesh_tri3d_edge
advautomesh_tri3d_edge ${M}.node ${M}.element \
    ${M}.edge ${M}.el_ed ${M}.el_nb ${M}.ed_vt
#
# make groups of the surface mesh (face grouping)
#
echo advautomesh_tri3d_group
advautomesh_tri3d_group  ${M}.node ${M}.element \
    ${M}.edge ${M}.el_ed ${M}.el_nb ${M}.ed_vt ${ANGLE} \
    ${M}.el_gr ${M}.ed_fr ${M}.frame
