#! /bin/sh -f

# The following 5 gm_polygon files are required.
#   all.gm_polygon :  all the geometry data
#   in0.gm_polygon :  inner geometry data No. 0
#   in1.gm_polygon :  inner geometry data No. 1
#   in2.gm_polygon :  inner geometry data No. 2
#   out.gm_polygon :  outer-most geometry data (for in/out check)
#   other.gm_polygon :  out - (in0 + in1 + in2)
#

advautoage_h_gm3d_polygon2face  \
    all.gm_polygon \
    all.gm_point  all.gm_edge  all.gm_face
advautoage_h_gm3d_face2triseg  \
    all.gm_point  all.gm_edge  all.gm_face \
    all.gm_seg  all.gm_tri



advautoage_h_gm3d_polygon2face  \
    in0.gm_polygon \
    in0.gm_point  in0.gm_edge  in0.gm_face
advautoage_h_gm3d_face2triseg  \
    in0.gm_point  in0.gm_edge  in0.gm_face \
    in0.gm_seg  in0.gm_tri

advautoage_h_gm3d_polygon2face  \
    in1.gm_polygon \
    in1.gm_point  in1.gm_edge  in1.gm_face
advautoage_h_gm3d_face2triseg  \
    in1.gm_point  in1.gm_edge  in1.gm_face \
    in1.gm_seg  in1.gm_tri

advautoage_h_gm3d_polygon2face  \
    in2.gm_polygon \
    in2.gm_point  in2.gm_edge  in2.gm_face
advautoage_h_gm3d_face2triseg  \
    in2.gm_point  in2.gm_edge  in2.gm_face \
    in2.gm_seg  in2.gm_tri

advautoage_h_gm3d_polygon2face  \
    out.gm_polygon \
    out.gm_point  out.gm_edge  out.gm_face
advautoage_h_gm3d_face2triseg  \
    out.gm_point  out.gm_edge  out.gm_face \
    out.gm_seg  out.gm_tri



cp  out.gm_polygon  tmp.gm_polygon

advautoage_h_gm3d_negate_polygon  \
    in0.gm_polygon \
    dummy.gm_polygon 
advautoage_h_gm3d_attach_polygon  \
    tmp.gm_polygon  dummy.gm_polygon \
    tmp.gm_polygon

advautoage_h_gm3d_negate_polygon  \
    in1.gm_polygon \
    dummy.gm_polygon 
advautoage_h_gm3d_attach_polygon  \
    tmp.gm_polygon  dummy.gm_polygon \
    tmp.gm_polygon

advautoage_h_gm3d_negate_polygon  \
    in2.gm_polygon \
    dummy.gm_polygon 
advautoage_h_gm3d_attach_polygon  \
    tmp.gm_polygon  dummy.gm_polygon \
    tmp.gm_polygon

cp  tmp.gm_polygon  other.gm_polygon

advautoage_h_gm3d_polygon2face  \
    other.gm_polygon \
    other.gm_point  other.gm_edge  other.gm_face
advautoage_h_gm3d_face2triseg  \
    other.gm_point  other.gm_edge  other.gm_face \
    other.gm_seg  other.gm_tri
