#! /bin/sh -f
GM=$1
BND_MESH=$2
SIZE=$3
MESH=$4

TMP_ALL=___delaunay_domain_mesh__all
TMP_EC=___delaunay_domain_mesh__ec
TMP_EXT=___delaunay_domain_mesh__ext

advautomesh_h_tri2d_domain_node2 \
    $BND_MESH.node  $SIZE \
    $TMP_ALL.node
advautomesh_h_tri2d_delaunay3 \
    $TMP_ALL.node \
    $TMP_ALL.element

advautomesh_h_tri2d_element_center \
    $TMP_ALL.node  $TMP_ALL.element \
    $TMP_EC.gm_point
advautoage_h_gm2d_seg_inout \
    $GM.gm_seg  $TMP_EC.gm_point \
    $TMP_EC.gm_inout
advautomesh_h_tri2d_inout2list \
    $TMP_EC.gm_inout \
    $TMP_EC.el_list
advautomesh_h_tri2d_extract \
    $TMP_ALL.node  $TMP_ALL.element  $TMP_EC.el_list \
    $TMP_EXT.node  $TMP_EXT.element
advautomesh_h_tri2d_laplacian_domain \
    $TMP_EXT.node  $TMP_EXT.element \
    $BND_MESH.node  5 \
    $MESH.node  $MESH.element 

#rm  $TMP_ALL.node  $TMP_ALL.element
#rm  $TMP_EC.gm_point  $TMP_EC.gm_inout  $TMP_EC.el_list
#rm  $TMP_EXT.node  $TMP_EXT.element
