/************************
	 Time
*************************/

#include <sys/time.h>
#include <unistd.h>

double TimeNow ()
{
  static int timeIsInitialized = 0;
  static int secondAtInitialization = 0.0;
  struct timeval t;

  if (!timeIsInitialized) {
    gettimeofday (&t, NULL);
    secondAtInitialization = t.tv_sec;
    timeIsInitialized = 1;
  }

  gettimeofday (&t, NULL);
  return (double)(t.tv_sec - secondAtInitialization) 
    + t.tv_usec * 0.000001;
}

double StartTime;

void StartMeasureTime ()
{
  fprintf (stderr, " START \n");

  StartTime = TimeNow ();
}

void EndMeasureTime ()
{
  double endTime = TimeNow ();

  fprintf (stderr, " END time = %f \n", endTime - StartTime);
}



